import { BackupStat } from "../businessObjects/BackupStat.js";
import { ComponentStatus } from "../businessObjects/ComponentStatus.js";
import { StatSummary } from "../businessObjects/StatSummary.js";
import { EExternalApi } from "../enum/index.js";
import { UnixTimestamp } from "../primitives/index.js";
export declare class RuntimeMetrics {
    uptime: number;
    startTime: UnixTimestamp;
    apiCalls: Map<EExternalApi, StatSummary>;
    queriesPosted: StatSummary;
    createdBackupsTotal: StatSummary;
    createdBackupsByType: StatSummary[];
    createdBackups: BackupStat[];
    restoredBackupsTotal: StatSummary;
    restoredBackupsByType: StatSummary[];
    restoredBackups: BackupStat[];
    componentStatus: ComponentStatus;
    constructor(uptime: number, startTime: UnixTimestamp, apiCalls: Map<EExternalApi, StatSummary>, queriesPosted: StatSummary, createdBackupsTotal: StatSummary, createdBackupsByType: StatSummary[], createdBackups: BackupStat[], restoredBackupsTotal: StatSummary, restoredBackupsByType: StatSummary[], restoredBackups: BackupStat[], componentStatus: ComponentStatus);
}
//# sourceMappingURL=RuntimeMetrics.d.ts.map